MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0032508Open CASCADE[OCCT] OCCT:Visualizationpublic2021-08-01 12:052021-08-07 13:38
Reporterkgv 
Assigned Tokgv 
PrioritynormalSeverityminor 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.5.1 
Target Version[OCCT] 7.6.0*Fixed in Version 
Summary0032508: Visualization - OpenGl_FrameBuffer::InitWrapper() should not fail on wrapping textured FBO
DescriptionOpenGl_FrameBuffer::InitWrapper() currently allows wrapping only render-buffered FBO.
But in context when this method is used for wrapping existing FBO (QOpenGLWidget or Gtk::GLArea) to be set as default render target to OpenGl_Context::SetDefaultFrameBuffer(), it doesn't really matter to wrap FBO attachments - wrapping FBO id is enough.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot required
Attached Files

- Relationships

-  Notes
(0102914)
git (administrator)
2021-08-01 12:34

Branch CR32508 has been created by kgv.

SHA-1: 286e9f13f3eb3d21e12cc352ff74aafb2e6a3c22


Detailed log of new commits:

Author: kgv
Date: Sun Aug 1 12:34:41 2021 +0300

    0032508: Visualization - OpenGl_FrameBuffer::InitWrapper() should not fail on wrapping textured FBO
    
    OpenGl_FrameBuffer::InitWrapper() now reads viewport from GL_VIEWPORT
    and doesn't return error on GL_TEXTURE attachments.
    OpenGl_FrameBuffer::Release() assertion is now skipped for wrapped FBOs.
(0102915)
kgv (developer)
2021-08-01 13:43

Patch is ready for review
- OCCT: branch CR32508.

http://jenkins-test-12.nnov.opencascade.com/view/CR32508-master-KGV [^]
(0102930)
osa (developer)
2021-08-02 17:02

The patch was reviewed
(0103052)
bugmaster (administrator)
2021-08-07 13:10

Combination -
OCCT branch : IR-2021-08-06
master SHA - 27e64adb38a9a8e6370b5dbd38a9018313884a9c
a87b7ddc8cb44606b91e3f37113847c3f5f50fdc
Products branch : IR-2021-08-06 SHA - d93b03b621e54fe532eb3f2eba1a1613534cfc91
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17370.66000000038 / 17380.800000000403 [-0.06%]
Products
Total CPU difference: 11454.410000000084 / 11476.060000000101 [-0.19%]
Windows-64-VC14:
OCCT
Total CPU difference: 19180.84375 / 19196.421875 [-0.08%]
Products
Total CPU difference: 12822.75 / 12808.78125 [+0.11%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0103073)
git (administrator)
2021-08-07 13:38

Branch CR32508 has been deleted by mnt.

SHA-1: 286e9f13f3eb3d21e12cc352ff74aafb2e6a3c22

- Related Changesets
occt: master 286e9f13
Timestamp: 2021-08-01 09:34:41
Author: kgv
Details ] Diff ]
0032508: Visualization - OpenGl_FrameBuffer::InitWrapper() should not fail on wrapping textured FBO

OpenGl_FrameBuffer::InitWrapper() now reads viewport from GL_VIEWPORT
and doesn't return error on GL_TEXTURE attachments.
OpenGl_FrameBuffer::Release() assertion is now skipped for wrapped FBOs.
mod - src/OpenGl/OpenGl_FrameBuffer.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2021-08-01 12:05 kgv New Issue
2021-08-01 12:05 kgv Assigned To => kgv
2021-08-01 12:34 git Note Added: 0102914
2021-08-01 13:43 kgv Note Added: 0102915
2021-08-01 13:43 kgv Assigned To kgv => osa
2021-08-01 13:43 kgv Status new => resolved
2021-08-02 17:02 osa Note Added: 0102930
2021-08-02 17:02 osa Assigned To osa => bugmaster
2021-08-02 17:02 osa Status resolved => reviewed
2021-08-07 13:10 bugmaster Note Added: 0103052
2021-08-07 13:10 bugmaster Status reviewed => tested
2021-08-07 13:12 bugmaster Test case number => Not required
2021-08-07 13:27 kgv Changeset attached => occt master 286e9f13
2021-08-07 13:27 kgv Assigned To bugmaster => kgv
2021-08-07 13:27 kgv Status tested => verified
2021-08-07 13:27 kgv Resolution open => fixed
2021-08-07 13:38 git Note Added: 0103073


Copyright © 2000 - 2021 MantisBT Team
Powered by Mantis Bugtracker